/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zhp
 * @LastEditTime: 2023-07-13 15:52:31
 * @FilePath: \basic-admin\src\filters\DataDict\index.js
 * @Description: 部分常量的数据字典定义
 */

const table = {
     currentStage:{
         0: '接受投诉阶段',
         1: '解释澄清阶段',
         2: '提出解决方案阶段',
         3: '回访阶段'
        },
      questionType: {
           0: '产品质量题',
           1: '售后服务题',
           2: '物流配送问题',
           3: '单关问题',
           4: '4系统故问题'
        },
      status: {
        0: '不可用',
        1: '可用'
      },
}

export default function (dictTable) {
  return function (val) {
    return table?.[dictTable]?.[val]
  }
}
