/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zhp
 * @LastEditTime: 2023-07-17 09:36:52
 * @FilePath: \basic-admin\src\filters\DataDict\index.js
 * @Description: 部分常量的数据字典定义
 */
import i18n from "@/i18n"
const table = {
  upload: {
      0: '未上传',
      1:' 已上传',
  },
  VerifyType: {
    0: i18n.t('gage.insideVerify'),
    1:  i18n.t('gage.outsideVerify')
  },
  judgmentResult: {
    0: '未判定  ',
    1: '合格',
    2: '不合格'
   },
}

export default function (dictTable) {
  return function (val) {
    return table?.[dictTable]?.[val]
  }
}
