/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zhp
 * @LastEditTime: 2023-07-18 14:08:41
 * @FilePath: \basic-admin\src\filters\DataDict\index.js
 * @Description: 部分常量的数据字典定义
 */
import i18n from "@/i18n"
const table = {
  monitor: {
      0: '否',
      1:'是',
  },
  characteristicsType: {
      0: '计量',
      1:'计数',
  },
  VerifyType: {
    0: i18n.t('gage.insideVerify'),
    1:  i18n.t('gage.outsideVerify')
  },
  inspectionType: {
      0: '监控',
        1:'电芯来料检验',
        2: 'IQC抽检',
        3: 'IQC抽检2',
        4: '原料抽检',
        5: '进货外观检验',
        6: '库内原料检验',
        7: '来料检验',
        8: '胶片',
        9: '抽检',
        10: '巡检',
        11: '首检',
        12: '末检',
        13: '实时监测',
        14: 'FQC抽检',
        15: 'OQC抽检'
  }
}

export default function (dictTable) {
  return function (val) {
    return table?.[dictTable]?.[val]
  }
}
