/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zhp
 * @LastEditTime: 2023-07-13 15:46:31
 * @FilePath: \basic-admin\src\filters\DataDict\index.js
 * @Description: 部分常量的数据字典定义
 */

const table = {
  whether: {
     0: '否',
        1:'是',
  },
  available: {
     0: '不可用',
     1:'可用',
  },
  supplierStatus:{
     0: '合格',
     1: '不合格',
     2:'黑名单',
  },
}

export default function (dictTable) {
  return function (val) {
    return table?.[dictTable]?.[val]
  }
}
