/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zhp
 * @LastEditTime: 2023-05-23 14:36:20
 * @FilePath: \basic-admin\src\filters\DataDict\index.js
 * @Description: 部分常量的数据字典定义
 */
import i18n from "@/i18n"
const table = {
  measurementType: {
      0: '计量',
      1:'计数',
  },
  VerifyType: {
    0: i18n.t('gage.insideVerify'),
    1:  i18n.t('gage.outsideVerify')
  },
  eventList: {
    0: '领用',
    1: '归还',
    2: '量具报废',
    3: '量具维修',
    4: '量具购买',
    5: '量具检测',
    6: '量具转移'
   },
}

export default function (dictTable) {
  return function (val) {
    return table?.[dictTable]?.[val]
  }
}
