/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zhp
 * @LastEditTime: 2023-04-18 16:12:08
 * @FilePath: \basic-admin\src\filters\DataDict\index.js
 * @Description: 部分常量的数据字典定义
 */

const table = {
  inspectionType: {
      0: '监控',
        1:'电芯来料检验',
        2: 'IQC抽检',
        3: 'IQC抽检2',
        4: '原料抽检',
        5: '进货外观检验',
        6: '库内原料检验',
        7: '来料检验',
        8: '胶片',
        9: '抽检',
        10: '巡检',
        11: '首检',
        12: '末检',
        13: '实时监测',
        14: 'FQC抽检',
        15: 'OQC抽检'
  }
}

export default function (dictTable) {
  return function (val) {
    return table?.[dictTable]?.[val]
  }
}
