 
import module from './zh'

const t = {}
 
t.module = module

t.loading = '加载中...'

t.brand = {}
t.brand.lg = 'QMS'
t.brand.mini = 'qms'
 
t.public = {}
t.public.operation = '操作'
t.public.activate = '启动'

t.add = '新增'
t.delete = '删除'
t.deleteBatch = '删除'
t.update = '修改'
t.query = '查询'
t.export = '导出'
t.handle = '操作'
t.confirm = '确定'
t.cancel = '取消'
t.clear = '清除'
t.logout = '退出'
t.manage = '处理'
t.createDate = '创建时间'
t.keyword = '关键字：'
t.choose = '请选择'
t.save = '保存'
t.close = '关闭'
t.edit = '修改'
t.search = '搜索'
t.reset = '重置'
t.teamMemberChange = '团队成员变更'
t.conditionSearch= '条件搜索'
t.changeStatus = '更改状态'
t.all = '全部'
t.available = '可用'
t.notAvailable = '不可用'
t.time = '时间段'
t.parameter = '台差参数'
t.configuration = '配置'
t.uploadFile = '上传'
t.detail = '查看详情'
t.preview = '预览'
t.edit = '编辑'
t.finished = '已完成'
t.implementation = '实施中'




t.prompt = {}
t.prompt.title = '提示'
t.prompt.info = '确定进行[{handle}]操作?'
t.prompt.delete = '是否对[{object}]进行删除操作？'
t.prompt.success = '操作成功'
t.prompt.failed = '操作失败'
t.prompt.deleteBatch = '请选择删除项'
t.prompt.chooseGroup = '请选择要求分组'

t.validate = {}
t.validate.required = '必填项不能为空'
t.validate.format = '{attr}格式错误'

t.upload = {}
t.upload.text = '将文件拖到此处，或<em>点击上传</em>'
t.upload.tip = '只支持{format}格式文件！'
t.upload.button = '点击上传'

t.datePicker = {}
t.datePicker.range = '至'
t.datePicker.start = '开始日期'
t.datePicker.end = '结束日期'

t.fullscreen = {}
t.fullscreen.prompt = '您的浏览器不支持此操作'

t.updatePassword = {}
t.updatePassword.title = '修改密码'
t.updatePassword.username = '账号'
t.updatePassword.password = '原密码'
t.updatePassword.newPassword = '新密码'
t.updatePassword.confirmPassword = '确认密码'
t.updatePassword.validate = {}
t.updatePassword.validate.confirmPassword = '确认密码与新密码输入不一致'

t.contentTabs = {}
t.contentTabs.closeCurrent = '关闭当前标签页'
t.contentTabs.closeOther = '关闭其它标签页'
t.contentTabs.closeAll = '关闭全部标签页'

/* 页面 */
t.notFound = {}
t.notFound.desc = '抱歉！您访问的页面<em>失联</em>啦...'
t.notFound.back = '上一页'
t.notFound.home = '首页'

t.login = {}
t.login.title = '登录'
t.login.username = '用户名'
t.login.password = '密码'
t.login.captcha = '验证码'
t.login.demo = '在线演示'
t.login.copyright = '中建材智能自动化研究院'

t.schedule = {}
t.schedule.beanName = 'bean名称'
t.schedule.beanNameTips = 'spring bean名称, 如: testTask'
t.schedule.pauseBatch = '暂停'
t.schedule.resumeBatch = '恢复'
t.schedule.runBatch = '执行'
t.schedule.log = '日志列表'
t.schedule.params = '参数'
t.schedule.cronExpression = 'cron表达式'
t.schedule.cronExpressionTips = '如: 0 0 12 * * ?'
t.schedule.remark = '备注'
t.schedule.status = '状态'
t.schedule.status0 = '暂停'
t.schedule.status1 = '正常'
t.schedule.statusLog0 = '失败'
t.schedule.statusLog1 = '成功'
t.schedule.pause = '暂停'
t.schedule.resume = '恢复'
t.schedule.run = '执行'
t.schedule.jobId = '任务ID'
t.schedule.times = '耗时(单位: 毫秒)'
t.schedule.createDate = '执行时间'

t.oss = {}
t.oss.config = '云存储配置'
t.oss.upload = '上传文件'
t.oss.url = 'URL地址'
t.oss.createDate = '创建时间'
t.oss.type = '类型'
t.oss.type1 = '七牛'
t.oss.type2 = '阿里云'
t.oss.type3 = '腾讯云'
t.oss.qiniuDomain = '域名'
t.oss.qiniuDomainTips = '七牛绑定的域名'
t.oss.qiniuPrefix = '路径前缀'
t.oss.qiniuPrefixTips = '不设置默认为空'
t.oss.qiniuAccessKey = 'AccessKey'
t.oss.qiniuAccessKeyTips = '七牛AccessKey'
t.oss.qiniuSecretKey = 'SecretKey'
t.oss.qiniuSecretKeyTips = '七牛SecretKey'
t.oss.qiniuBucketName = '空间名'
t.oss.qiniuBucketNameTips = '七牛存储空间名'
t.oss.aliyunDomain = '域名'
t.oss.aliyunDomainTips = '阿里云绑定的域名，如：http://cdn.renren.io'
t.oss.aliyunPrefix = '路径前缀'
t.oss.aliyunPrefixTips = '不设置默认为空'
t.oss.aliyunEndPoint = 'EndPoint'
t.oss.aliyunEndPointTips = '阿里云EndPoint'
t.oss.aliyunAccessKeyId = 'AccessKeyId'
t.oss.aliyunAccessKeyIdTips = '阿里云AccessKeyId'
t.oss.aliyunAccessKeySecret = 'AccessKeySecret'
t.oss.aliyunAccessKeySecretTips = '阿里云AccessKeySecret'
t.oss.aliyunBucketName = 'BucketName'
t.oss.aliyunBucketNameTips = '阿里云BucketName'
t.oss.qcloudDomain = '域名'
t.oss.qcloudDomainTips = '腾讯云绑定的域名'
t.oss.qcloudPrefix = '路径前缀'
t.oss.qcloudPrefixTips = '不设置默认为空'
t.oss.qcloudAppId = 'AppId'
t.oss.qcloudAppIdTips = '腾讯云AppId'
t.oss.qcloudSecretId = 'SecretId'
t.oss.qcloudSecretIdTips = '腾讯云SecretId'
t.oss.qcloudSecretKey = 'SecretKey'
t.oss.qcloudSecretKeyTips = '腾讯云SecretKey'
t.oss.qcloudBucketName = 'BucketName'
t.oss.qcloudBucketNameTips = '腾讯云BucketName'
t.oss.qcloudRegion = '所属地区'
t.oss.qcloudRegionTips = '请选择'
t.oss.qcloudRegionBeijing1 = '北京一区（华北）'
t.oss.qcloudRegionBeijing = '北京'
t.oss.qcloudRegionShanghai = '上海（华东）'
t.oss.qcloudRegionGuangzhou = '广州（华南）'
t.oss.qcloudRegionChengdu = '成都（西南）'
t.oss.qcloudRegionChongqing = '重庆'
t.oss.qcloudRegionSingapore = '新加坡'
t.oss.qcloudRegionHongkong = '香港'
t.oss.qcloudRegionToronto = '多伦多'
t.oss.qcloudRegionFrankfurt = '法兰克福'

t.dept = {}
t.dept.name = '名称'
t.dept.parentName = '上级部门'
t.dept.sort = '排序'
t.dept.parentNameDefault = '一级部门'
t.dept.chooseerror = '请选择部门'
t.dept.title = '选择部门'

t.dict = {}
t.dict.dictName = '字典名称'
t.dict.dictType = '字典类型'
t.dict.dictLabel = '字典标签'
t.dict.dictValue = '字典值'
t.dict.sort = '排序'
t.dict.remark = '备注'
t.dict.createDate = '创建时间'

t.logError = {}
t.logError.requestUri = '请求URI'
t.logError.requestMethod = '请求方式'
t.logError.requestParams = '请求参数'
t.logError.ip = '操作IP'
t.logError.userAgent = '用户代理'
t.logError.createDate = '创建时间'
t.logError.errorInfo = '异常信息'

t.logLogin = {}
t.logLogin.creatorName = '用户名'
t.logLogin.status = '状态'
t.logLogin.status0 = '失败'
t.logLogin.status1 = '成功'
t.logLogin.status2 = '账号已锁定'
t.logLogin.operation = '操作类型'
t.logLogin.operation0 = '登录'
t.logLogin.operation1 = '退出'
t.logLogin.ip = '操作IP'
t.logLogin.userAgent = 'User-Agent'
t.logLogin.createDate = '创建时间'

t.logOperation = {}
t.logOperation.status = '状态'
t.logOperation.status0 = '失败'
t.logOperation.status1 = '成功'
t.logOperation.creatorName = '用户名'
t.logOperation.operation = '用户操作'
t.logOperation.requestUri = '请求URI'
t.logOperation.requestMethod = '请求方式'
t.logOperation.requestParams = '请求参数'
t.logOperation.requestTime = '请求时长'
t.logOperation.ip = '操作IP'
t.logOperation.userAgent = 'User-Agent'
t.logOperation.createDate = '创建时间'

t.menu = {}
t.menu.name = '名称'
t.menu.icon = '图标'
t.menu.type = '类型'
t.menu.type0 = '菜单'
t.menu.type1 = '按钮'
t.menu.sort = '排序'
t.menu.url = '路由'
t.menu.permissions = '授权标识'
t.menu.permissionsTips = '多个用逗号分隔，如：sys:menu:save,sys:menu:update'
t.menu.parentName = '上级菜单'
t.menu.parentNameDefault = '一级菜单'
t.menu.resource = '授权资源'
t.menu.resourceUrl = '资源URL'
t.menu.resourceMethod = '请求方式'
t.menu.resourceAddItem = '添加一项'

t.params = {}
t.params.paramCode = '编码'
t.params.paramValue = '值'
t.params.remark = '备注'

t.role = {}
t.role.name = '名称'
t.role.remark = '备注'
t.role.createDate = '创建时间'
t.role.menuList = '菜单授权'
t.role.deptList = '数据授权'

t.user = {}
t.user.username = '用户名'
t.user.deptName = '所属部门'
t.user.email = '邮箱'
t.user.mobile = '手机号'
t.user.status = '状态'
t.user.status0 = '停用'
t.user.status1 = '正常'
t.user.createDate = '创建时间'
t.user.password = '密码'
t.user.confirmPassword = '确认密码'
t.user.realName = '真实姓名'
t.user.gender = '性别'
t.user.gender0 = '男'
t.user.gender1 = '女'
t.user.gender2 = '保密'
t.user.roleIdList = '角色配置'
t.user.validate = {}
t.user.validate.confirmPassword = '确认密码与密码输入不一致'
t.user.select = '选择用户'
t.user.selecterror = '请选择一条记录'

t.basic = {}
t.basic.name = '名称'
t.basic.code = '编码'
t.basic.status = '状态'
t.basic.available = '可用'
t.basic.remark = '备注'
t.basic.specification = '规格'
t.basic.InspectionStage = '检验阶段'
t.basic.InspectionPlan = '检验计划'
t.basic.customerTypeName = '客户类型'
t.basic.productTypeName = '产品类型名称'
t.basic.client = '服务对象'
t.basic.stock = '进货检验'
t.basic.finishedProduct = '成品检验'
t.basic.course = '过程检验'
t.basic.shipment = '出货检验'
t.basic.userName = '用户名'
t.basic.departName = '部门名'
t.basic.productCode = '产品编码'
t.basic.productName = '产品名称'







t.quality = {}
t.quality.name = '名称'
t.quality.code = '编号'
t.quality.planCategory = '计划类别'
t.quality.fatalFlaw = '致命缺陷'
t.quality.acceptable = '可接受'
t.quality.sampleSize = '抽样数'
t.quality.unacceptable = '不可接受'
t.quality.seriousDisadvantage = '严重缺陷'
t.quality.minor = '轻微缺陷'
t.quality.total = '总计'
t.quality.fourPointZero = '4.0'
t.quality.onePointFive = '1.5'		
t.quality.onePointZero = '1.0'		
t.quality.sampleRange =	'取样范围'		
t.quality.sixPointFive =	'6.5'		
t.quality.ten =	'10'		
t.quality.twoPointFive = '2.5'		
t.quality.zeroPointFour =	'0.40'		
t.quality.zeroPointOne =	'0.10'		
t.quality.zeroPointOneFive =	'0.15'	
t.quality.zeroPointSixFive =	'0.65'		
t.quality.zeroPointTwoFive =	'0.25'	
t.quality.zeroPointZeroFour =	'0.040'	
t.quality.zeroPointZeroOne =	'0.010'	
t.quality.zeroPointZeroOneFive =	'0.015'	
t.quality.zeroPointZeroSixFive =	'0.065'	
t.quality.zeroPointZeroTwoFive =	'0.025'
t.quality.disposalMethodName =	'名称'
t.quality.disposalMethodCode =	'编码'
t.quality.judgmentMark = '判断标识'
t.quality.disposalMethodStatus = '状态'
t.quality.inspectionPositionNumber = '序号'
t.quality.productName =	'检验产品'
t.quality.suppliername =	'供应商名称'
t.quality.transferOutName =	'转出'
t.quality.transferInName =	'转入'
t.quality.dataSources	 =	'数据来源'
t.quality.remark = '备注'
t.quality.userName = '创建人'
t.quality.inspectionStage = '检验阶段'
t.quality.supplierName = '供应商'
t.quality.supplierList = '供应商列表'
t.quality.principal = '负责人列表'
t.quality.normalToRelaxed = '正常转放宽'
t.quality.normalToTightened =	'正常转加严'
t.quality.relaxedToNormal =	'放宽转正常'
t.quality.tightenedToNormal =	'加严转正常'
t.quality.productName = '检验产品'
t.quality.transferTime =	'转移时间'
t.quality.inspectionType = '检验类型'
t.quality.measuringTools = '量具'
t.quality.sampleRangeLow = '取样范围低'
t.quality.sampleRangeHigh = '取样范围高'
t.quality.inspectionLevel = '检验水平'
t.quality.sampleSizeCode = '样本量字码'
t.quality.sampleSize = '样本量'
t.quality.inspectionPlan = '是否有检验计划'
t.quality.analyzeDrawings = '分析图形'
t.quality.characteristicsType = '特性类型'
t.quality.company = '单位'
t.quality.decimalDigits = '小数位数'
t.quality.measuringToolsType = '量具类型'
t.quality.monitor = '是否监控'
t.quality.parameterName = '参数名称'
t.quality.parameterCode = '	参数编码'
t.quality.sampleSize = '样本大小'
t.quality.source = '来源'
t.quality.specificationCenterline = 'SL'
t.quality.specificationOffline = 'LSL'
t.quality.specifications = '规格'
t.quality.targetCpk = '目标CPK'
t.quality.targetPpk = '目标PPK'
t.quality.upperSpecificationLimit = 'USL'
	
	




	


t.disqualification = {}
t.disqualification.inspectionTypeId = '检验类型'
t.disqualification.name = '名称'
t.disqualification.productTypeName = '产品类型'
t.disqualification.productName = '产品名称'
t.disqualification.teamName = '处置团队'
t.disqualification.disposalMethod = '处置方法'
t.disqualification.approvalProcessName = '审批流'
t.disqualification.title = '标题'
t.disqualification.productCode = '产品编号'
t.disqualification.orderNumber = '订单号'
t.disqualification.batchNo = '批号'
t.disqualification.supplierName = '供应商'
t.disqualification.reportTime = '报告时间'
t.disqualification.userName = '报告人'
t.disqualification.disposalStatus = '处置状态'
t.disqualification.disposalMethod = '处置方法'
t.disqualification.disposalTime = '处置时间'
t.disqualification.remark = '备注'
t.disqualification.approvalProcessCode = '编号'
t.disqualification.approvalProcessType = '类型'
t.disqualification.description = '描述'
t.disqualification.step = '步骤'
t.disqualification.team = '团队'

t.supplier = {}
t.supplier.code = '编码'
t.supplier.name = '名称'
t.supplier.changeStatus = '更改状态'
t.supplier.status = '状态'
t.supplier.supplierCode = '供应商编码'
t.supplier.supplierName = '供应商名称'
t.supplier.productName = '产品名称'
t.supplier.productCode = '产品编码'
t.supplier.supplierRelevance = '供应商关联产品'
t.supplier.abbreviation = '简称'
t.supplier.grade = '重要等级'
t.supplier.address = '地址'
t.supplier.ment = '状态'
t.supplier.contact = '联系人'
t.supplier.contactEmail = '联系人邮箱'
t.supplier.contactPhone = '联系人电话'
t.supplier.enterpriseNature = '企业性质'
t.supplier.industry = '所属行业'
t.supplier.productService = '产品/服务'
t.supplier.supplierBatch = '供方批次'
t.supplier.supplierType = '供应商类型'
t.supplier.offlineTime = '下线时间'
t.supplier.defectiveQuantity = '不良数量'
t.supplier.undesirablePhenomena = '不良现象'
t.supplier.materialName = '物料名称'
t.supplier.materialCode = '物料编码'
t.supplier.applicationDate ='申请日期'
t.supplier.causeAnalysis=	'原因分析	'	
t.supplier.closedLoop	='闭环'
t.supplier.everlastMeasures	= '永久措施'	
t.supplier.interimMeasures= '临时措施'		
t.supplier.lostHour= '损失工时(h)'
t.supplier.place= '地点'		
t.supplier.problemBatch	= '问题批次'		
t.supplier.problemDescription ='问题描述'	
t.supplier.rejectionRate= '不良率(%)'
t.supplier.remark	= '备注'		
t.supplier.evaluationTemplateName = '评估模板'
t.supplier.startTime = '启动时间'
t.supplier.description = '说明'		
t.supplier.evaluationPeriod	= '评估时间段'		
t.supplier.evaluationType = '评估类型'
t.supplier.reminder	= '提醒人'	
t.supplier.title	= '标题'
t.supplier.projectType = '评估项类型'
t.supplier.weight = '权重'
t.supplier.projectName = '评估项目'
t.supplier.projectTypeName	= '类别'
t.supplier.requirement = '要求'
t.supplier.statisticalValue = '是否统计值'
t.supplier.lastStartTime = '上次启动时间段'
t.supplier.lastStartEvaluationPeriod = '上次启动评估时间段'
t.supplier.estimatedNextStartTime = '预计下次启动时间'
t.supplier.offline = '下限'
t.supplier.online = '上限'
t.supplier.supplierStatus = '供应商状态'
t.supplier.year = '年度'
t.supplier.quarter = '季度'
t.supplier.month = '月度'
t.supplier.materiel = '物料'
t.supplier.requiredGrouping = '要求分组'



t.gage = {}
t.gage.name = '名称'
t.gage.code = '编号'
t.gage.measurementType = '测量类型'
t.gage.decimalDigits = '小数点位'
t.gage.lsl = 'lsl'
t.gage.serialNo = '序号'
t.gage.sl = 'sl'
t.gage.usl = 'usl'
t.gage.gageName = '量具名称'
t.gage.gageCode = '量具编号'
t.gage.measurToolEvent = '量具事件'
t.gage.recipientName = '接收人'
t.gage.processUserName = '审核人'
t.gage.process = '审核'
t.gage.expectedReturnDate = '	预计归还日期'
t.gage.transferDate = '	转移日期'
t.gage.createDate = '发生日期'
t.gage.userDepartment = '使用部门'
t.gage.useLocation = '使用位置'
t.gage.remark = '备注'
t.gage.measuringToolSpecification = '量具规格'
t.gage.client = '委托单位'
t.gage.certificateCodeBh = '证书编号Bh'
t.gage.certificateCode = '证书编号'
t.gage.gageTypeName = '量具类型'
t.gage.internalInspectionCycle = '	内部校验周期'
t.gage.internalInspectionTime = '	内部校验时间'
t.gage.nextInternalInspectionTime = '下次内部校验时间'
t.gage.externalInspectionCycle = '	外部校验周期'
t.gage.externalInspectionTime = '	外部校验时间'
t.gage.nextExternalInspectionTime = '下次外部校验时间'
t.gage.description = '描述'
t.gage.status = '状态'
t.gage.belongPersonName = '所属人'
t.gage.certificateType = '证书类别'
t.gage.benchmarkMeasurTool = '基准量具'
t.gage.equipmentSupplier = '设备供应商'
t.gage.gageStatus = '量具状态'
t.gage.measuringToolAccuracy = '量具精度'
t.gage.supplierName = '供应商'
t.gage.endTime = '结束时间'
t.gage.startTime = '开始时间'
t.gage.to = '至'
t.gage.parityBit = '校验类型'
t.gage.verificationResult = '校验结果'
t.gage.calibrationUnit = '校验单位'
t.gage.calibrationDepartment = '校验部门'
t.gage.checker = '校验人'
t.gage.verificationFee = '校验费用'
t.gage.client ='委托单位'
t.gage.measure = '测'
t.gage.inspectionTime = '校验时间'
t.gage.measurementTime	 = '测定时间'
t.gage.measurementTime = '测定时间'
t.gage.corporation		 = '公司'
t.gage.itemNo	 = '料号'
t.gage.measurementNumber	= '测定次数'
t.gage.partNumber		= '零件数量'
t.gage.precisionDecimalPlace	= '精度小数位数'
t.gage.connection = '客户'
t.gage.publicErrand	 = '公差'
t.gage.tester	 = '测试者'
t.gage.partName	= '品名 '
t.gage.specification		= '规格'
t.gage.parentId = '父类型'
t.gage.singleValueAnalysis = '台差单值分析'
t.gage.stageDifferenceMeanAnalysis = '台差单值分析'
t.gage.contrastiveAnalysis = '大流量台差对比分析'
t.gage.inspectionTime = '报检时间'
t.gage.batchTail = '批号'
t.gage.analysisParameter = '台差分析参数'
t.gage.tips = '通过选择量具事件控制输入参数'
t.gage.gageResumeName = '量具履历'
t.gage.measuringToolAccuracy = '基准'
t.gage.price = '值'
t.gage.parameter = '台差分析参数'
t.gage.parameterRemark = '台差分析参数备注'
t.gage.batchTips = '请输入数字开头中间为_数字结尾的批号'
t.gage.verifyLog = '校验记录'
t.gage.insideVerify = '内部校验'
t.gage.outsideVerify = '外部校验'
t.gage.verificationFee = '校验费用'
t.gage.report = '量具重复性及再现性分析报告'
t.gage.model = '型号'
t.gage.meanRange = '极差均值'
t.gage.meanDifference = '均值差'
t.gage.partAverageMean = 'Rp 零件均值极差'
t.gage.measuringUnit = '测量单元分析'
t.gage.totalVariation = '%总变查(TV)'
t.gage.reproducibility = '再现性-实验人员变差(AV)'
t.gage.repeatability = '重复性-设备变差(EV)'
t.gage.repeatabilityAndReproducibility = '重复性和再现性(R&R)'
t.gage.partVariation = '零件变差(TV)'
t.gage.decide = '综合判定'
t.gage.tabularComputations = '表格计算'
t.gage.tabularComputationsAdd = '表格计算新增'
t.gage.fabrication = '制作'






t.laboratory = {}
t.laboratory.userName= '人员名称'
t.laboratory.userCode = '人员编码'
t.laboratory.inspectionQualification= '检验资质'
t.laboratory.Experience = '培训经历'
t.laboratory.EmployeeResume = '员工履历'
t.laboratory.endDate = '结束日期'
t.laboratory.startDate= '开始日期'
t.laboratory.department= '任职部门'
t.laboratory.position = '任职岗位'
t.laboratory.responsibilitie = '岗位职责'
t.laboratory.remark = '备注'
t.laboratory.name = '资质名称'
t.laboratory.qualificationDescription	= '资质说明'
t.laboratory.validDate	= '有效日期'
t.laboratory.code = '资质编号'
t.laboratory.getDate	= '获取日期'
t.laboratory.result = '结果'
t.laboratory.title = '主题'
t.laboratory.trainContent	= '培训内容'
t.laboratory.trainDate	= '培训日期'
t.laboratory.trainDuration = '培训时长'
t.laboratory.trainType = '培训类型'
t.laboratory.timeSlot	= '时间段'



t.code = {}
t.code.name = '名称'
t.code.code = '编码'
t.code.description = '描述'
t.code.eightDisciplineType = '8D类型'
t.code.problemStatus = '状态'
t.code.actualResponsePeriod = '实际响应周期'
t.code.batchNumber = '批次数'
t.code.customName = '客户'
t.code.defectSource = '缺陷来源'
t.code.eightDisciplineId = '8D来源id'
t.code.eightDisciplineStatus = '8D状态'
t.code.productName = '产品名'
t.code.orderNo  = '订单号'
t.code.productType = '产品类型'
t.code.requestResponseCycle = '要求响应周期'
t.code.responsibilityAttribution = '责任归属'
t.code.sampleAcceptanceTime = '样品接收时间'
t.code.supportProducts = '配套产品/系统'
t.code.title = '标题'
t.code.userId = '启动人'
t.code.examineStatus = '审核状态'
t.code.finalCompletionDate = '最终完成日期  '
t.code.occurrenceDate = '发生日期'
t.code.eightDTeam = '通知8D小组'
t.code.inspectionStatus = '报检状态'
t.code.batchNo = '批号'
t.code.batchQuantity = '批次数量'
t.code.batchSize = '批规格'
t.code.checkoutTime = '检验时间'
t.code.companyName = '单位'
t.code.inspectionQuantity = '报检数量'
t.code.inspectionStatus = '报检状态'
t.code.inspectionType = '检验类型'
t.code.orderNumber = '订单号'
t.code.productCode = '产品编码'
t.code.productName = '产品'
t.code.recheck = '复检'
t.code.remark = '备注'
t.code.samplesQuantity = '抽样数'
t.code.source = '来源'
t.code.supplierName = '供应商'
t.code.username = '检验人员'
t.code.factoryName = '工厂'
t.code.inspectionPlan = '报检计划'
t.code.inspectionTime = '报检时间'
t.code.customSampling = '抽样方案'
t.code.task = '任务'
t.code.upload = '上传'
t.code.judgmentResult = '判断结果'
t.code.defectiveQuantity = '不良数量'
t.code.defectsNumber = '缺陷数量'
t.code.submit = '提交'
t.code.processingMethod = '处理方法'
t.code.processingResults = '处理结果'
t.code.characteristics = '特性'
t.code.sampleSize = '样本大小'
t.code.grouping = '分组'
t.code.grouping = '分组'
t.code.meanRange = '均值极差图'
t.code.meanStandard = '均值标准差图'
t.code.medianRange = '中位数极差图'
t.code.singleValueMovingRange = '单值移动极差图'
t.code.meanMovingRangeRange = '均值移动极差极差极'
t.code.meanMovingRangeStandardDeviation = '均值移动极差标准差图'
t.code.originalData = '原始数据'
t.code.inspectionNumber = '检验单号'
t.code.locationNo = '	样品/位置号'
t.code.groupNo = '组号'
t.code.parsingTime = '分析时间'
t.code.assayValue = '分析值'
t.code.status = '状态'
t.code.approval = '审批中'
t.code.approvalComplete = '审批完成'
t.code.uploaded = '已上传'
t.code.notUploaded = '未上传'
t.code.Examiner = '检验人'

t.dictionary = {}
t.dictionary.name = '	名称'
t.dictionary.code = '	编码'

t.researchquality = {}
t.researchquality.title = '标题'
t.researchquality.description = '描述'
t.researchquality.code = '编码'
t.researchquality.requirementListGroupId = '所属分组'
t.researchquality.registrationDate = '登记日期'
t.researchquality.changeSource = '变更来源'
t.researchquality.owner = '所有者'
t.researchquality.category = 'Category'
t.researchquality.currentStage = '当前阶段'
t.researchquality.productName = '产品名称'
t.researchquality.qualityChangeStatus = '状态'
t.researchquality.temporaryChange = '临时变更'
t.researchquality.sourceRemark = '来源备注'
t.researchquality.processName = '工序名称'
t.researchquality.productTypeName = '产品类型'
t.researchquality.planPhase = '计划阶段'
t.researchquality.planTime = '计划时间'
t.researchquality.stageOneName = '阶段1'
t.researchquality.stageTwoName = '阶段2'
t.researchquality.stageThreeName = '阶段3'
t.researchquality.stageFourName = '阶段4'
t.researchquality.stageOneDate = '阶段1时间'
t.researchquality.stageTwoDate = '阶段2时间'
t.researchquality.stageThreeDate = '阶段3时间'
t.researchquality.stageFourDate = '阶段4时间'
t.researchquality.approvedMemo = '审核记录'
t.researchquality.phase = '阶段'
t.researchquality.realTime = '实际完成时间'




t.customerquality = {}
t.customerquality.customerName = '客户名称'
t.customerquality.currentStage = '当前阶段'
t.customerquality.serialNumber = '序列号'
t.customerquality.description = '描述'
t.customerquality.questionType = '问题类型'
t.customerquality.knowledgeBaseName = '知识库名称'
t.customerquality.code = '编号'
t.customerquality.category = '类别'
t.customerquality.requirementListName = '要求清单名称'
t.customerquality.uploadFiles = '不可上传文件'
t.customerquality.accessPath = '访问路径'
t.customerquality.knowledgeBaseFileId = '知识库文件标识'
t.customerquality.title = '标题'
t.customerquality.knowledgeBase = '知识库'
t.customerquality.productName = '品名'
t.customerquality.customerName = '客户'
t.customerquality.qualityAcceptanceDate = '质量接收日期'
t.customerquality.confirmDeliveryDate = '确认交付日期'
t.customerquality.deliveryRequiredDate = '要求交付日期'
t.customerquality.status = '状态'
t.customerquality.file = '清单文件'
t.customerquality.previousVersionCode = '上一版本号'
t.customerquality.first = '首次'
t.customerquality.confidentialityAgreement = '保密协议'
t.customerquality.ppapGrade = '	ppap等级'
t.customerquality.version = '	版本'
t.customerquality.amendment = '	修订'






	
	
	


export default t
